﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DragDropBetweenDataGrids
{
    public class OrderInfo
    {
        int orderID;
        string customerId;
        string country;
        string customerName;
        string shippingCity;

        /// <summary>
        /// Denotes the OrderID
        /// </summary>
        public int OrderID
        {
            get { return orderID; }
            set { orderID = value; }
        }

        /// <summary>
        /// Denotes the CustomerID for orders
        /// </summary>
        public string CustomerID
        {
            get { return customerId; }
            set { customerId = value; }
        }

        /// <summary>
        /// Denotes the CustomerName for orders
        /// </summary>
        public string CustomerName
        {
            get { return customerName; }
            set { customerName = value; }
        }

        // <summary>
        /// Denotes the Country for orders
        /// </summary>
        public string Country
        {
            get { return country; }
            set { country = value; }
        }

        // <summary>
        /// Denotes the ShipCity for orders
        /// </summary>
        public string ShipCity
        {
            get { return shippingCity; }
            set { shippingCity = value; }
        }

        /// <summary>
        /// Assigns the OrderInfo values to public property
        /// </summary>
        /// <param name="orderId"></param>
        /// <param name="customerName"></param>
        /// <param name="country"></param>
        /// <param name="customerId"></param>
        /// <param name="shipCity"></param>
        public OrderInfo(int orderId, string customerName, string country, string customerId, string shipCity)
        {
            this.OrderID = orderId;
            this.CustomerName = customerName;
            this.Country = country;
            this.CustomerID = customerId;
            this.ShipCity = shipCity;
        }
    }
}
